<?
set_time_limit(0);

require_once(dirname(__FILE__).'/functions.php');

$domains=fopen(dirname(__FILE__).'/domains.txt', 'r');

//Fetch Checkers
$checkers=array();

$checkers_path=dirname(__FILE__).'/checkers';

$dir=opendir($checkers_path);

while($fn=readdir($dir))
{
	if(is_file($checkers_path.'/'.$fn) && preg_match('!\.php$!', $fn))
	{
		require_once($checkers_path.'/'.$fn);
		
		$classname=str_replace('.php', '', $fn);
		$checkers[$classname]=new $classname();
	}
}

//Check Domains
while($domain=fgets($domains))
{
	$domain=trim($domain);
	
	print 'Analyze '.$domain.'... ';
	flush();
	
	$checked=false;
	$cache_data=array();
	
	$url=create_url($domain);
	
	foreach($checkers as $cname=>$checker)
	{
		if($checker->check($url))
		{
			$fd=fopen(dirname(__FILE__).'/'.$cname.'.txt', 'a+');
			fwrite($fd, $domain."\r\n");
			fclose($fd);
			
			print '<font color="green">Match '.$cname.'!</font>';
			
			$checked=true;
			
			break;
		}
	}
	
	if(!$checked)
	{
		print '<font color="red">Not match!</font>';
	}
	
	print '<br />';
	flush();
}
?>